# class IAXInfoElementNumeric | A single IAX2 numeric Information Element. More...
Full name | `TelEngine::IAXInfoElementNumeric`
Definition | `#include <libs/yiax/yateiax.h>`
Inherits | TelEngine::IAXInfoElement [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- IAXInfoElementNumeric (Type type, u_int32_t val, u_int8_t len)
- virtual ~IAXInfoElementNumeric ()
- inline int length () const
- inline u_int32_t data () const
- virtual void toBuffer (DataBlock& buf)
- virtual void toString (String& buf)

## Detailed Description

This class holds a single Information Element with 1, 2 or 4 byte(s) length data

IAXInfoElementNumeric (Type type, u_int32_t val, u_int8_t len) | ### IAXInfoElementNumeric

Constructor

Parameters:

type | Type of this IE
val | Source value to construct this IE
len | Value length

~IAXInfoElementNumeric () | ### ~IAXInfoElementNumeric

[virtual]

Destructor

inline int length () | ### length

[const]

Get the data length

Returns: The data length

inline u_int32_t data () | ### data

[const]

Get the data

Returns: The data

void toBuffer (DataBlock& buf) | ### toBuffer

[virtual]

Constructs a buffer containing this Information Element

Parameters:

buf | Destination buffer

Reimplemented from IAXInfoElement.

void toString (String& buf) | ### toString

[virtual]

Add this element to a string

Parameters:

buf | Destination string

Reimplemented from IAXInfoElement.

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.